gitbrute(1)

NAME
gitbrute - brute-force a git commit hash to a given prefix

SYNOPSIS
gitbrute -prefix deadbeef

DESCRIPTION
gitbrute amends the top commit in a git repository, altering commit-time and author-time to have the commit's hash start with the given prefix.

OPTIONS

-prefix 000000
    Specifies the hash prefix to search for. Obviously, the expected time required to find it grows exponentially with the prefix's length.

-force true
    If the current commit already matches the prefix, it will be replaced by another one.

-cpus 64
    Specifies the level of parallelism; defaults to number of online processors at startup.